import React from 'react'
import { Box, Typography } from '@mui/material'

const PrivacyNotice = () => {
  return (
    <Box sx={{
      mt: 10,
      px: {
        xs: 2,
        md: 5,
        lg: 5
      },
      mb: {
        xs: 0,
        md: 5,
        lg: 10
      }
    }}>

      <Typography variant='h4' sx={{ textAlign: "center", fontWeight: "bolder", mb: 3 }}>PRIVACY NOTICE</Typography>
      <Box sx={{ backgroundColor: "#F7FBFF", py: 4, px: 3 }}>

        <Typography variant='body2' sx={{ mb: 2 }}>[Your Business Name] (“we,” “us,” or “our”) values your privacy and is committed to protecting the personal information you share with us. This Privacy Notice explains how we collect, use, and disclose your information when you visit our website [insert website URL] or purchase products from our online store.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>1. Information We Collect</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>Personal Identification Information: When you place an order, register an account, or sign up for our newsletter, we may collect your name, email address, mailing address, phone number, payment information, and other details relevant to your transaction. Transaction Data: We collect information about the products you purchase, transaction amounts, shipping information, and order history. Technical Data: We automatically collect information about your device, IP address, browser type, operating system, and browsing behavior through cookies or similar technologies.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>2. How We Use Your Information</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>To Process Orders: To fulfill your orders, including processing payments, shipping products, and managing returns and exchanges. Customer Support: To provide you with customer service, respond to inquiries, and resolve issues related to your account or orders. Marketing and Promotions: To send you promotional emails, special offers, or other marketing communications (you can opt-out at any time). Improve User Experience: To analyze trends, enhance the functionality of our website, and personalize your shopping experience. Legal Compliance: To comply with applicable laws, regulations, and legal obligations.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>3. Sharing Your Information</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>Service Providers: We may share your information with third-party companies who assist us in operating our website, processing payments, delivering orders, or providing customer service. Legal Compliance: We may disclose your personal information if required to do so by law or inresponse to legal processes (such as a subpoena, court order, or government request).</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>4. Data Retention</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>We will retain your personal information only for as long as necessary to fulfill the purposes outlined in this Privacy Notice or as required by law. After that, your information will be securely deleted or anonymized.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>5. Cookies and Tracking Technologies</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>We use cookies and similar technologies to enhance your experience on our website. These technologies allow us to remember your preferences, track your activity, and analyze site usage. You can control cookies through your browser settings, but disabling cookies may affect your ability to use some features of our website.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>6. Your Rights</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>Access and Rectification: You can request access to or correction of your personal information. Deletion: You can request the deletion of your personal data, subject to certain conditions. Opt-Out: You can opt-out of receiving marketing communications from us at any time by clicking the “unsubscribe” link in our emails.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>7. Security of Your Information</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>We take reasonable measures to protect your personal data from unauthorized access, disclosure, alteration, or destruction. However, please be aware that no data transmission over the internet is completely secure, and we cannot guarantee absolute security.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>8. Third-Party Links</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>Our website may contain links to third-party websites or services. We are not responsible for the privacy practices of these external sites, and we encourage you to read their privacy notices before sharing any personal information.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>9. Changes to This Privacy Notice</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>We may update this Privacy Notice from time to time to reflect changes in our practices or legal requirements. Any changes will be posted on this page with an updated “Effective Date.” Please review this notice periodically.</Typography>

        <Typography variant='body2' sx={{ fontWeight: "400", mb: 2 }}>10. Contact Us</Typography>

        <Typography variant='body2' sx={{ mb: 2 }}>If you have any questions or concerns about this Privacy Notice or our privacy practices, please contact us at: <br/>[Your Business Name] <br/>[Your Business Address] <br/>[Your Email Address] <br/>[Your Phone Number]</Typography>


      </Box>
    </Box>
  )
}

export default PrivacyNotice